Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class DistributionPoint

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.DistributionPoint

All Implemented Interfaces:
  DEREncodable

public class DistributionPoint
extends ASN1Encodable

Constructor Summary
`DistributionPoint(ASN1Sequence seq)`
`DistributionPoint(DistributionPointName distributionPoint, ReasonFlags reasons, GeneralNames cRLIssuer)`

Method Summary
`GeneralNames` | `getCRLIssuer()`
`DistributionPointName` | `getDistributionPoint()`
`static DistributionPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPoint` | `getInstance(java.lang.Object obj)`
`ReasonFlags` | `getReasons()`
`DERObject` | `toASN1Object()` DistributionPoint ::= SEQUENCE { distributionPoint [0] DistributionPointName OPTIONAL, reasons [1] ReasonFlags OPTIONAL, cRLIssuer [2] GeneralNames OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributionPoint

    public DistributionPoint(ASN1Sequence seq)

### DistributionPoint

    public DistributionPoint(DistributionPointName distributionPoint,
                             ReasonFlags reasons,
                             GeneralNames cRLIssuer)

Method Detail

### getInstance

    public static DistributionPoint getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

### getInstance

    public static DistributionPoint getInstance(java.lang.Object obj)

### getDistributionPoint

    public DistributionPointName getDistributionPoint()

### getReasons

    public ReasonFlags getReasons()

### getCRLIssuer

    public GeneralNames getCRLIssuer()

### toASN1Object

    public DERObject toASN1Object()

       DistributionPoint ::= SEQUENCE {
            distributionPoint [0] DistributionPointName OPTIONAL,
            reasons           [1] ReasonFlags OPTIONAL,
            cRLIssuer         [2] GeneralNames OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD